Package com.google.protobuf

# Enum Class Descriptors.FieldDescriptor.Type

java.lang.Object
java.lang.Enum<Descriptors.FieldDescriptor.Type>
com.google.protobuf.Descriptors.FieldDescriptor.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Descriptors.FieldDescriptor.Type>`, `Constable`

Enclosing class:
  `Descriptors.FieldDescriptor`

public static enum Descriptors.FieldDescriptor.Type extends Enum<Descriptors.FieldDescriptor.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOL`
`BYTES`
`DOUBLE`
`ENUM`
`FIXED32`
`FIXED64`
`FLOAT`
`GROUP`
`INT32`
`INT64`
`MESSAGE`
`SFIXED32`
`SFIXED64`
`SINT32`
`SINT64`
`STRING`
`UINT32`
`UINT64`

## Method Summary

Modifier and Type
Method
Description
`Descriptors.FieldDescriptor.JavaType`
`getJavaType()`
`DescriptorProtos.FieldDescriptorProto.Type`
`toProto()`
`static Descriptors.FieldDescriptor.Type`
`valueOf(DescriptorProtos.FieldDescriptorProto.Type type)`
Returns the enum constant of this class with the specified name.
`static Descriptors.FieldDescriptor.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Descriptors.FieldDescriptor.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOUBLE

public static final Descriptors.FieldDescriptor.Type DOUBLE

### FLOAT

public static final Descriptors.FieldDescriptor.Type FLOAT

### INT64

public static final Descriptors.FieldDescriptor.Type INT64

### UINT64

public static final Descriptors.FieldDescriptor.Type UINT64

### INT32

public static final Descriptors.FieldDescriptor.Type INT32

### FIXED64

public static final Descriptors.FieldDescriptor.Type FIXED64

### FIXED32

public static final Descriptors.FieldDescriptor.Type FIXED32

### BOOL

public static final Descriptors.FieldDescriptor.Type BOOL

### STRING

public static final Descriptors.FieldDescriptor.Type STRING

### GROUP

public static final Descriptors.FieldDescriptor.Type GROUP

### MESSAGE

public static final Descriptors.FieldDescriptor.Type MESSAGE

### BYTES

public static final Descriptors.FieldDescriptor.Type BYTES

### UINT32

public static final Descriptors.FieldDescriptor.Type UINT32

### ENUM

public static final Descriptors.FieldDescriptor.Type ENUM

### SFIXED32

public static final Descriptors.FieldDescriptor.Type SFIXED32

### SFIXED64

public static final Descriptors.FieldDescriptor.Type SFIXED64

### SINT32

public static final Descriptors.FieldDescriptor.Type SINT32

### SINT64

public static final Descriptors.FieldDescriptor.Type SINT64

## Method Details

### values

public static Descriptors.FieldDescriptor.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Descriptors.FieldDescriptor.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toProto

public DescriptorProtos.FieldDescriptorProto.Type toProto()

### getJavaType

public Descriptors.FieldDescriptor.JavaType getJavaType()

### valueOf

public static Descriptors.FieldDescriptor.Type valueOf(DescriptorProtos.FieldDescriptorProto.Type type)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `type` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null